/* -*- Mode: Javascript; tab-width: 2; c-basic-offset: 2; -*-
 * 
 * The contents of this file are subject to the Netscape Public
 * License Version 1.1 (the "License"); you may not use this file
 * except in compliance with the License. You may obtain a copy of
 * the License at http://www.mozilla.org/NPL/
 *
 * Software distributed under the License is distributed on an "AS
 * IS" basis, WITHOUT WARRANTY OF ANY KIND, either express or
 * implied. See the License for the specific language governing
 * rights and limitations under the License.
 *
 * The Original Code is mozilla.org code.
 *
 * The Initial Developer of the Original Code is Netscape
 * Communications Corporation.  Portions created by Netscape are
 * Copyright (C) 1998 Netscape Communications Corporation. All
 * Rights Reserved.
 *
 * Contributor(s): 
 *
 *  Brian King  <BrianK@ActiveState.com> 
 *  Henk-Johan van Rantwijk  <Bugs4HJ@NetScape.net> 
 *  Neil Pryde <NeilPryde92651@netscape.net>
 *  Roger Keays <rogerk@ieee.org>
*/

const G_MSG             = "MultiZilla v1.1.10 Alpha";
const G_NAME            = "multiviews";
const G_VER             = "1.1.10";
const G_CHROME          = "chrome";
const G_DEFAULTS        = "defaults";
const G_PREFS           = "Preferences";

const G_PROGRAM         = "program";
const G_CONTENT         = "content/multiviews/";
const G_SKIN            = "skin/modern/multiviews/";
const G_LOCALE          = "locale/en-US/multiviews/";
const G_JAR_FILE        = "multiviews.jar";
const G_SPLASH_FILE     = "mozilla.bmp";
const G_PREF_FILE       = "multizilla.js";
const G_CHROME_DIR      = getFolder(G_CHROME);
const G_PROGRAM_DIR     = getFolder(G_PROGRAM);
// const G_DEFAULTS_DIR    = getFolder(G_DEFAULTS); not supported
const G_PREFS_DIR       = getFolder(G_PREFS);

const COMNT_1           = "Installation For MultiZilla v1.1.10 Alpha";
const COMNT_2           = "MultiZilla Jar File";
const COMNT_3           = "MultiZilla Splash Screen";
const COMNT_4           = "MultiZilla Pref Settings";

var err = initInstall( G_MSG, G_NAME, G_VER );
var platformStr;
var platformNode;

  logComment( COMNT_1 );

  if( !err )
    err = "Ok";
  logComment( "Installation init : " + err );
  addFile( COMNT_2, G_JAR_FILE, G_CHROME_DIR, "" );
  addFile( COMNT_4, G_PREF_FILE, G_PREFS_DIR, "" );

  if ('platform' in Install) {
    platformStr = new String( Install.platform );

    if ( !platformStr.search(/^Macintosh/) )
      platformNode = 'mac';
    else if ( !platformStr.search(/^Win/) )
      platformNode = 'win';
    else
      platformNode = 'unix';
  }
  else {
    var fOSMac  = getFolder( "Mac System" );
    var fOSWin  = getFolder( "Win System" );

    logComment( "fOSMac: "  + fOSMac );
    logComment( "fOSWin: "  + fOSWin );

    if ( fOSMac != null )
      platformNode = 'mac';
    else if ( fOSWin != null )
      platformNode = 'win';
    else
      platformNode = 'unix';
  }
  if ( platformNode == 'win' ) {
    logComment( "Installation started for Win32 platform" );
    // addFile( COMNT_3, G_SPLASH_FILE, G_PROGRAM_DIR, "" );
    registerChrome( CONTENT | DELAYED_CHROME, getFolder( G_CHROME, G_JAR_FILE), G_CONTENT );
    registerChrome( SKIN    | DELAYED_CHROME,    getFolder( G_CHROME, G_JAR_FILE), G_SKIN    );
    registerChrome( LOCALE  | DELAYED_CHROME,  getFolder( G_CHROME, G_JAR_FILE), G_LOCALE  );
  }
  else {
    logComment( "Installation started for a Unix/Mac platform" );
    registerChrome( CONTENT | DELAYED_CHROME, getFolder( G_CHROME, G_JAR_FILE), G_CONTENT );
    registerChrome( SKIN    | DELAYED_CHROME, getFolder( G_CHROME, G_JAR_FILE), G_SKIN    );
    registerChrome( LOCALE  | DELAYED_CHROME, getFolder( G_CHROME, G_JAR_FILE), G_LOCALE  );
  }
  err = getLastError();

  if ( err == SUCCESS ) {
    performInstall();
    alert( "Please restart mozilla with: \n" + 
           "\nmozilla -chrome chrome://multiviews/content/multiviews.xul\n" +
           "\nor use this for RCX builds: \n" +
           "\nmozilla -chrome chrome://multiviews/content/multiviews-rcx.xul\n" +
           "\nto finish the " + G_MSG + " installation\n" + 
           "\n\nnote: use our newsgroup: 'public.mozdev.multizilla'  in case of trouble\n" );
  }
  else {
    logComment( "Error explanation at: http://developer.netscape.com/docs/manuals/xpinstall/err.html" );
    cancelInstall( err );
  }

